#!/system/bin/sh

DIR=/data/data/initux.soft.dev.sparkvpn/files

PATH=$DIR:$PATH

case $1 in
  start)

  echo "
base {
 log_debug = off;
 log_info = off;
 log = stderr;
 daemon = on;
 redirector = iptables;
}

redsocks {
 local_ip = 127.0.0.1;
 local_port = 8394;
 ip = 127.0.0.1;
 port = $2;
 type = socks5;
}

" >|$DIR/redsocks.conf

  $DIR/redsocks -p $DIR/redsocks.pid -c $DIR/redsocks.conf

  ;;
stop)
  if [ -e $DIR/redsocks.pid ]; then
   kill -9 `cat $DIR/redsocks.pid`
   rm $DIR/redsocks.pid
  else
   killall -9 redsocks
   busybox killall -9 redsocks
  fi

  rm $DIR/redsocks.conf

  ;;
esac
